<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-content">
    <div
      v-if="isLoader"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <div class="m-portlet m-portlet--mobile mb-0" v-else>
      <div class="row">
        <div class="col-md-6 d-flex flex-column p-0">
          <div class="row email-info nt-scroll-primary">
            <div class="col-md-8 mx-auto">
              <form class="m-form m-form--state">
                <div class="row">
                  <div class="col-md-6 m--margin-bottom-20">
                    <label class="nt-label">Tạo bởi</label>
                    <div v-if="emailTemplateDetails.created_by">
                      <user-object-loading :user_id="emailTemplateDetails.created_by"></user-object-loading>
                    </div>
                  </div>
                  <div class="col-md-6 m--margin-bottom-20">
                    <label class="nt-label">Tạo lúc</label>
                    <div>{{ emailTemplateDetails.created_at | formatDateTime(false) }}</div>
                  </div>
                </div>

                <div class="row">
                  <div class="col-md-6 m--margin-bottom-20">
                    <label class="nt-label">Người chỉnh sửa cuối</label>
                    <div v-if="emailTemplateDetails.updated_by">
                      <user-object-loading :user_id="emailTemplateDetails.updated_by"></user-object-loading>
                    </div>
                  </div>
                  <div class="col-md-6 m--margin-bottom-20">
                    <label class="nt-label">Lần chỉnh sửa cuối</label>
                    <div>{{ emailTemplateDetails.updated_at | formatDateTime(false) }}</div>
                  </div>
                </div>

                <div class="m--margin-bottom-20">
                  <label class="nt-label">Mã mẫu email</label>
                  <div>{{ emailTemplateDetails.code }}</div>
                </div>

                <div class="m--margin-bottom-20">
                  <label class="nt-label">Tên mẫu</label>
                  <div
                    class="form-control form-control h-auto"
                    disabled
                  >{{ emailTemplateDetails.name }}</div>
                </div>

                <div class="m--margin-bottom-20">
                  <label class="nt-label">
                    Tiêu đề
                    <span class="m--font-danger">*</span>
                  </label>
                  <div
                    class="form-control form-control h-auto"
                    disabled
                  >{{ emailTemplateDetails.title }}</div>
                </div>

                <div class>
                  <label class="nt-label">
                    Nội dung
                    <span class="m--font-danger">*</span>
                  </label>
                  <div
                    class="nt-email-template-details-content form-control form-control h-auto nt-scroll-primary"
                    disabled
                    v-html="emailTemplateDetails.content"
                  ></div>
                </div>
              </form>
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="email-preview h-100 nt-scroll-primary">
            <EmailTemplatePreview
              ref="emailTemplatePreview"
              :content="emailTemplateDetails.content"
            />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
